Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openspml.message
Class SearchResult

    java.lang.Object
      |
      +--org.openspml.message.SearchResult

public class SearchResult
extends java.lang.Object

A class used to represent a `searchResult` message.

Constructor Summary
`SearchResult()`

Method Summary
`Attribute` | `getAttribute(java.lang.String name)`
`java.util.Map` | `getAttributeMap()`
`java.util.List` | `getAttributes()`
`java.lang.Object` | `getAttributeValue(java.lang.String name)`
`Identifier` | `getIdentifier()`
`java.lang.String` | `getIdentifierString()`
`void` | `removeAttributes(java.util.List names)` Remove response attributes with certain names.
`void` | `setAttribute(Attribute a)`
`void` | `setAttribute(java.lang.String name, java.lang.Object value)`
`void` | `setAttributes(java.util.List l)`
`void` | `setIdentifier(Identifier id)`
`void` | `setIdentifier(java.lang.String id)`
`void` | `sort()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SearchResult

    public SearchResult()

Method Detail

### setIdentifier

    public void setIdentifier(Identifier id)

### setIdentifier

    public void setIdentifier(java.lang.String id)

### setAttributes

    public void setAttributes(java.util.List l)

### setAttribute

    public void setAttribute(Attribute a)

### setAttribute

    public void setAttribute(java.lang.String name,
                             java.lang.Object value)

### getIdentifier

    public Identifier getIdentifier()

### getIdentifierString

    public java.lang.String getIdentifierString()

### getAttributes

    public java.util.List getAttributes()

### getAttributeMap

    public java.util.Map getAttributeMap()

### getAttribute

    public Attribute getAttribute(java.lang.String name)

### getAttributeValue

    public java.lang.Object getAttributeValue(java.lang.String name)

### sort

    public void sort()

### removeAttributes

    public void removeAttributes(java.util.List names)

  Remove response attributes with certain names. This can be used with unit tests to remove attributes with non-deterministic values like dates or generated passwords, prior to the serialization of the response. The xml can then be compared against an expected result captured at another time.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD